Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#96 dirfileid.2 is wrong for large files

open-fixed
Mark Hessling
None
5
2007-03-12
2006-08-31
r corak
No

THE 3.2 WinXP
For large files (pagefile.sys, for example) the DIR
command shifts the information to the right to
accommodate the long file size. DIRFILEID.2 doesn't
know this and just extracts characters starting at
column 39, which can lead to macros processing the
wrong file.

Discussion

  • Mark Hessling
    Mark Hessling
    2006-09-13

    • assigned_to: nobody --> rexx
    • status: open --> pending-fixed
     
  • Mark Hessling
    Mark Hessling
    2006-09-13

    Logged In: YES
    user_id=86185

    This has been fixed. If the length of a file in bytes
    exceeds the space allowed for it, the size is expressed in
    kilobytes.

     
  • r corak
    r corak
    2007-03-12

    Logged In: YES
    user_id=1587066
    Originator: YES

    For even bigger files, dirfileid.2 is still wrong.
    DOS window DIR command shows
    03/10/2007 05:16 PM 10,958,852,104 bat.lo

    THE 3.3B1 on WinXP DIR command shows
    .a.. 1850 12-Dec-2006 10:39 acronym.txt
    .a.. -1880907k 10-Mar-2007 17:16 bat.lo
    .a.. 251676k 11-Mar-2007 22:46 bat.lo.01
    Notice that the "bat.lo" line is also shifted right, again.

     
  • r corak
    r corak
    2007-03-12

    • status: pending-fixed --> open-fixed